Subject: Re: draft-ietf-ospf-ospfv3-auth-04.txt

From: Vishwas Manral <[email-masked]>
Date: Sat, 10 Jul 2004 01:00:11 -0700

Hi Suresh,

I was thinking the following assumptions would hold good: -

1. We either run OSPFv3 for IPv4 or OSPFv2 for IPv4 not both.
2. While configuring the SA(we dont use IKE), both ends agree to the protocol they are using.

Wouldn't it help in that case? I think the AF draft should state the limitation instead.

Suresh, also if the link is assumed to be point-to-point would we still restrict to the use of static configuration and not IKE.

Thanks,
Vishwas

-----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Suresh
Melam
Sent: Friday, July 09, 2004 11:22 PM
To: [email-masked]
Subject: Re: draft-ietf-ospf-ospfv3-auth-04.txt

Hi Abhay/Vishwas,

comments inline,

thanks,
-suresh (Nagavenkata Suresh Melam)

>> Hi Vishwas,
>>
>> Thanks for the comments.  Please see my comments inline..
>>
>> > 1. I am not sure we should have a statement which says OSPFv3
>> > is only for IPv6.
>> > "As OSPFv2 is only for IPv4 and OSPFv3 is only for IPv6,
>> > the distinction between the packets can be easily made by
>> > IP version. "
>>
>> Do you have a replacement statement that you would prefer ?
>> As the IP protocol type value for OSPF and OSPFv3 is same,
>> we have to depend upon the IP version to separate OSPF and
>> OSPFv3 packets.
>
>Just FYI, we can run OSPFv3 using IPv4 transport (see section 9 of
>draft-mirtorabi-ospfv3-af-alt-01.txt). In which case the demux
>will be based on OSPF protocol version.
>

IPsec selectors are not usually any deeper than protocol field of
IP header and port numbers of UDP/TCP transport protocol. Thus, OSPF
protocol version cannot be one of the selector.

If OSPFv3 runs on IPv4 transport, there wouldn't be any way
to distinguish OSPFv3 packets from OSPFv2 packets, as both of them
use same protocol value. Thus IPsec security, as mentioned in
"Security considerations" section of RFC2740 and ospfv3-auth draft,
cannot be provided to these packets. Perhaps this should be mentioned
in the "Security Considerations" section of ospfv3-af-alt draft.

>Regards,
>-Roy-

---

From: Suresh Melam <[email-masked]>
Date: Tue, 13 Jul 2004 12:04:19 -0700

Hi Vishwas,

comments inline,

thanks,
-suresh

> Wouldn't it help in that case? I think the AF draft should state the limitation instead.

Yes, in this case of running only one of OSPFv3 or OSPFv2 over IPv4 AF,
but not both, it should be possible to use same rules as those we
suggest in our draft to secure the IPv4 OSPF traffic. Only difference is
that we should use equivalent IPv4 addresses for instead of IPv6
addresses. For eg., IPv6 multicast OSPF address should be replaced with
IPv4 multicast OSPF address and so on. While we try to make sure that
any rule in our draft will not conflict with the requirement of running
OSPFv3 traffic over IPv4 traffic, we too believe that AF draft should
make a clear mention of how IPsec can be used in a such a case.

> Suresh, also if the link is assumed to be point-to-point would we still restrict to the use of static configuration and not IKE.

Yes, we suggest to use manual keying in all cases just to have a simple
configuration. IKE might involve PKI too. If manual keying is considered
secure enough for other types of links, we believe it should be secure
enough for point-to-point links too. If there is any strong reason why
IKE should be used over point-to-point link, the two end points are
welcome to use IKE and it would be specific to only those two endpoints.